Subject: Re: linux-next: build failure after merge of the drm-misc tree

From: Heiko Stübner <[email-masked]>
Date: Wed, 28 May 2025 10:27:19 +0200

Hi,

Am Mittwoch, 28. Mai 2025, 09:17:13 Mitteleuropäische Sommerzeit schrieb Damon Ding:
> On 2025/5/28 11:42, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the drm-misc tree, today's linux-next build (arm
> > multi_v7_defconfig) failed like this:
> > 
> > drivers/gpu/drm/bridge/analogix/analogix_dp_core.c: In function 'analogix_dp_probe':
> > drivers/gpu/drm/bridge/analogix/analogix_dp_core.c:1589:17: error: label 'err_disable_clk' used but not defined
> >   1589 |                 goto err_disable_clk;
> >        |                 ^~~~
> > 
> > Caused by commit
> > 
> >    6579a03e68ff ("drm/bridge: analogix_dp: Remove the unnecessary calls to clk_disable_unprepare() during probing")
> > 
> > I have used the drm-misc tree from next-20250527 for today.
> > 
> 
> Oh, I have found the same compile error after rebasing.
> 
> I have removed the 'err_disable_clk' flag and made it return 
> ERR_PTR(ret) in:
> https://lore.kernel.org/all/[email-masked]/
> 
> Likely a small merge conflict bug. Will patch it later. ;-)

I have sent in a patch for that issue yesterday, in

https://lore.kernel.org/dri-devel/[email-masked]/

Heiko